## ros-eloquent-marti-perception-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(marti_perception_msgs)

set(CMAKE_CXX_STANDARD 14)

set(MSG_DEPS
  sensor_msgs
  std_msgs
)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

set(MSG_FILES
  msg/PedestrianImageID.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-eloquent-marti-perception-msgs (1.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-eloquent-marti-perception-msgs (1.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-eloquent-marti-perception-msgs (1.0.0-1bionic) bionic; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.8.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.7.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.6.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.5.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.4.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-eloquent-marti-perception-msgs (0.3.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.9-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.8-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.7-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.6-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.5-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-eloquent-marti-perception-msgs (0.0.1-1bionic) bionic; urgency=high

  * Initial Release
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-eloquent-marti-perception-msgs
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-rosidl-default-generators, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, ros-eloquent-rosidl-typesupport-fastrtps-c, ros-eloquent-rosidl-typesupport-fastrtps-cpp, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-eloquent-marti-perception-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rosidl-default-runtime, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: marti_perception_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-marti-perception-msgs//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
